Skip to main content
GET
/
v1
/
blink-data-table
Get Blink Data Table
curl --request GET \
  --url https://api.dial.to/v1/blink-data-table \
  --header 'x-blink-client-key: <api-key>'
import requests

url = "https://api.dial.to/v1/blink-data-table"

headers = {"x-blink-client-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-blink-client-key': '<api-key>'}};

fetch('https://api.dial.to/v1/blink-data-table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rows": [
    {
      "key": "<string>",
      "title": "<string>",
      "value": "<string>",
      "icon": "<string>",
      "url": "<string>"
    }
  ],
  "context": {
    "url": "<string>",
    "websiteUrl": "<string>",
    "category": "<string>",
    "provider": {
      "name": "<string>",
      "icon": "<string>"
    }
  },
  "links": {
    "blink": "<string>",
    "preview": "<string>"
  }
}

Authorizations

Client key to authorize requests.

Query Parameters

apiUrl
string<uri>
default:https://jito.dial.to/stake
required

Blink API URL

Example:

"https://jito.dial.to/stake"

account
string

Wallet address of the user

Response

Successful response

Blink Data Table

rows
object[]
required
context
object
required

Blink Context